<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1.0"/>
	<title>Invoice</title>
	<style type="text/css">

		/***********
		Originally based on The MailChimp Reset from Fabio Carneiro, MailChimp User Experience Design
		More info and templates on Github: https://github.com/mailchimp/Email-Blueprints
		http://www.mailchimp.com &amp; http://www.fabio-carneiro.com

		INLINE: Yes.
		***********/
		/* Client-specific Styles */
		#outlook a {padding:0;} /* Force Outlook to provide a "view in browser" menu link. */
		body{width:100% !important; -webkit-text-size-adjust:100%; -ms-text-size-adjust:100%; margin:0; padding:0;}

		/* Prevent Webkit and Windows Mobile platforms from changing default font sizes, while not breaking desktop design. */
		.ExternalClass {width:100%;} /* Force Hotmail to display emails at full width */
		.ExternalClass, .ExternalClass p, .ExternalClass span, .ExternalClass font, .ExternalClass td, .ExternalClass div {line-height: 100%;} /* Force Hotmail to display normal line spacing.  More on that: http://www.emailonacid.com/forum/viewthread/43/ */
		#backgroundTable {margin:0; padding:0; width:100% !important; }
		/* End reset */

		/* Some sensible defaults for images
		1. "-ms-interpolation-mode: bicubic" works to help ie properly resize images in IE. (if you are resizing them using the width and height attributes)
		2. "border:none" removes border when linking images.
		3. Updated the common Gmail/Hotmail image display fix: Gmail and Hotmail unwantedly adds in an extra space below images when using non IE browsers. You may not always want all of your images to be block elements. Apply the "image_fix" class to any image you need to fix.

		Bring inline: Yes.
		*/
		img {outline:none; text-decoration:none; -ms-interpolation-mode: bicubic;}
		a img {border:none;}
		.image_fix {display:block;}

		/** Yahoo paragraph fix: removes the proper spacing or the paragraph (p) tag. To correct we set the top/bottom margin to 1em in the head of the document. Simple fix with little effect on other styling. NOTE: It is also common to use two breaks instead of the paragraph tag but I think this way is cleaner and more semantic. NOTE: This example recommends 1em. More info on setting web defaults: http://www.w3.org/TR/CSS21/sample.html or http://meiert.com/en/blog/20070922/user-agent-style-sheets/

		Bring inline: Yes.
		**/
		p {margin: 0;}

		/** Hotmail header color reset: Hotmail replaces your header color styles with a green color on H2, H3, H4, H5, and H6 tags. In this example, the color is reset to black for a non-linked header, blue for a linked header, red for an active header (limited support), and purple for a visited header (limited support).  Replace with your choice of color. The !important is really what is overriding Hotmail's styling. Hotmail also sets the H1 and H2 tags to the same size.

		Bring inline: Yes.
		**/

		/** Outlook 07, 10 Padding issue: These "newer" versions of Outlook add some padding around table cells potentially throwing off your perfectly pixeled table.  The issue can cause added space and also throw off borders completely.  Use this fix in your header or inline to safely fix your table woes.

		More info: http://www.ianhoar.com/2008/04/29/outlook-2007-borders-and-1px-padding-on-table-cells/
		http://www.campaignmonitor.com/blog/post/3392/1px-borders-padding-on-table-cells-in-outlook-07/

		H/T @edmelly

		Bring inline: No.
		**/


		/** Remove spacing around Outlook 07, 10 tables

		More info : http://www.campaignmonitor.com/blog/post/3694/removing-spacing-from-around-tables-in-outlook-2007-and-2010/

		Bring inline: Yes
		**/
		table { border-collapse:collapse; mso-table-lspace:0pt; mso-table-rspace:0pt; }

		/* Styling your links has become much simpler with the new Yahoo.  In fact, it falls in line with the main credo of styling in email, bring your styles inline.  Your link colors will be uniform across clients when brought inline.

		Bring inline: Yes. */

		/* Or to go the gold star route...
		a:link { color: orange; }
		a:visited { color: blue; }
		a:hover { color: green; }
		*/

		/***************************************************
		****************************************************
		MOBILE TARGETING

		Use @media queries with care.  You should not bring these styles inline -- so it's recommended to apply them AFTER you bring the other stlying inline.

		Note: test carefully with Yahoo.
		Note 2: Don't bring anything below this line inline.
		****************************************************
		***************************************************/

		/* NOTE: To properly use @media queries and play nice with yahoo mail, use attribute selectors in place of class, id declarations.
		table[class=classname]
		Read more: http://www.campaignmonitor.com/blog/post/3457/media-query-issues-in-yahoo-mail-mobile-email/
		*/
		@media only screen and (max-device-width: 480px) {

			/* A nice and clean way to target phone numbers you want clickable and avoid a mobile phone from linking other numbers that look like, but are not phone numbers.  Use these two blocks of code to "unstyle" any numbers that may be linked.  The second block gives you a class to apply with a span tag to the numbers you would like linked and styled.

			Inspired by Campaign Monitor's article on using phone numbers in email: http://www.campaignmonitor.com/blog/post/3571/using-phone-numbers-in-html-email/.

			Step 1 (Step 2: line 224)
			*/
			a[href^="tel"], a[href^="sms"] {
						text-decoration: none;
						color: black; /* or whatever your want */
						pointer-events: none;
						cursor: default;
					}

			.mobile_link a[href^="tel"], .mobile_link a[href^="sms"] {
						text-decoration: default;
						pointer-events: auto;
						cursor: default;
					}
		}

		/* More Specific Targeting */

		@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) {
			/* You guessed it, ipad (tablets, smaller screens, etc) */

			/* Step 1a: Repeating for the iPad */
			a[href^="tel"], a[href^="sms"] {
						text-decoration: none;
						pointer-events: none;
						cursor: default;
					}

			.mobile_link a[href^="tel"], .mobile_link a[href^="sms"] {
						text-decoration: default;
						pointer-events: auto;
						cursor: default;
					}
		}

		@media only screen and (-webkit-min-device-pixel-ratio: 2) {
			/* Put your iPhone 4g styles in here */
		}

		/* Following Android targeting from:
		http://developer.android.com/guide/webapps/targeting.html
		http://pugetworks.com/2011/04/css-media-queries-for-targeting-different-mobile-devices/  */
		@media only screen and (-webkit-device-pixel-ratio:.75){
			/* Put CSS for low density (ldpi) Android layouts in here */
		}
		@media only screen and (-webkit-device-pixel-ratio:1){
			/* Put CSS for medium density (mdpi) Android layouts in here */
		}
		@media only screen and (-webkit-device-pixel-ratio:1.5){
			/* Put CSS for high density (hdpi) Android layouts in here */
		}
		/* end Android targeting */
 .invoice_items td.amount {border-right:1px #000 solid;border-left:1px #000 solid;padding:0 10px 0 10px;}
 .invoice_items td.details {border-left:1px #000 solid;padding:0 0 0 10px;}

	</style>

	<!-- Targeting Windows Mobile -->
	<!--[if IEMobile 7]>
	<style type="text/css">

	</style>
	<![endif]-->

	<!-- ***********************************************
	****************************************************
	END MOBILE TARGETING
	****************************************************
	************************************************ -->

	<!--[if gte mso 9]>
	<style>
		/* Target Outlook 2007 and 2010 */
	</style>
	<![endif]-->
</head>
<body bgcolor="#ffffff" topmargin="50px">
  <table width="100%" cellspacing="0" cellpadding="0" border="0" style="margin:50px 0 50px 0;page-break-after: always;">
  	<tr>
	    <td align="center">
		    <table width="600px" cellspacing="0" cellpadding="0" border="0"  bgcolor="#ffffff">
		      <tr>
			      <td align="left" valign="top">

			        <table width="600px" cellspacing="0" cellpadding="0" border="0" >
				        <tr>
		  		        <td valign="middle" align="left">
		  		          <%=  image_tag("https://demo.enviroriskwizard.com/assets/logo-waterman.gif")  %>
		              </td>
		              <td valign="middle" align="right">
			              <font face="Arial" size="2" style="font-size: 12px;" color="#173d89">
				              <b>Waterman Infrastructure & Environment Ltd</b>
				            </font>
		              </td>
		            </tr>
				        <tr height="70px">
		              <td align="middle" valign="bottom" colspan="3">
                    <font face="Arial" size="3" style="font-size: 16px;" color="#000000">
	                    <b><%= @invoice.title %></b>
	                  </font>
                  </td>
                </tr>
                <tr>
  	              <td colspan="2" align="center">
  		              <!-- Start of address (left) invoice details (right) table with cellpadding for margin-->
  	                <table width="100%" cellspacing="0" cellpadding="20px" border="0" bgcolor="#ffffff">
    		              <tr>
    		                <td width="215px" align="left" valign="top" style="line-height:11px;">
    				              <font face="Arial" size="2" style="font-size: 10px;" color="#000000">
    					              <b>TO:</b><br/><%= @invoice.client_name_and_address.html_safe %>
    					            </font>
                          <% if @invoice.credit_note? && !@invoice.credited_invoice_number.nil? %>
                            <br/>
                            <font face="Arial" size="1" style="font-size: 10px;" color="#000000">
                              <b>CR Note relates to Invoice: <%= @invoice.credited_invoice_number %></b>
                            </font>
                          <% end %>
    		            	  </td>
    			              <td align="right" valign="top">
    			                <!-- Invoice and payment terms table using nested tables to create borders independently of outer table -->
    							        <table cellspacing="0px" cellpadding="0px" bgcolor="#ffffff" border="0">
    						            <tr>
    			                    <td align="left" valign="top">
    										        <table  cellspacing="0px" cellpadding="10px" style="border-collapse: collapse;">
    										          <tr>
    										            <td align="left" valign="top" bgcolor="silver" style="line-height:110%;border-top:1px #000 solid;border-left:1px #000 solid;border-bottom:1px #000 solid;">
    										              <font face="Arial" size="2" style="font-size: 10px;" color="#000000">
    										                <b>Invoice No.<br />
      										                Date and Tax Point:<br />
      							                      Client Account No.<br />
      							                      Your Order No.<br />
      							                      Your Ref:<br />
      							                      Our Ref:<br />
    						                        </b>
    						                      </font>
    					                      </td>
    					                    </tr>
    					                  </table>
    					                </td>
    					                <td align="left" valign="top">
    					                  <table border="1" cellspacing="0px" cellpadding="10px" style="border-collapse: collapse;">
    					                    <tr>
    					                      <td align="left" valign="top" bgcolor="#ffffff" style="line-height:110%"  width="150px">
    					                        <font face="Arial" size="2" style="font-size: 10px;" color="#000000">
    					                          <%= @invoice.try(:invoice_number).try(:value) %><br />
    					                          <%= @invoice.try(:invoiced_at).strftime("%d/%m/%Y") unless @invoice.try(:invoiced_at).nil? %><br />
    					                          <%= @invoice.try(:valuation_firm).try(:agresso_ref) %><br />
                                        &nbsp;<br />
                                        <% if @invoice.valuation_firm.invoice_ref.nil? %>
                                          &nbsp;<br />
                                        <% else %>
                                          <%= @invoice.valuation_firm.invoice_ref %><br />
                                        <% end %>
    					                          <%= @invoice.try(:work_order) %><br />


    					                        </font>
    					                      </td>
    					                    </tr>
    					                  </table>
    												  </td>
    				                </tr>
    				                <tr height="20px" colspan="2">
    				                  <td bgcolor="#ffffff">&nbsp;</td>
    				                </tr>
    						            <% unless @invoice.credit_note? %>
      						            <tr>
      							            <td align="left" valign="top">
      								            <table cellspacing="0px" cellpadding="10px" width="100%" style="border-collapse: collapse;">
      							                <tr>
      							                  <td align="left" valign="top" bgcolor="silver" width="100%" style="border-top:1px #000 solid;border-left:1px #000 solid;border-bottom:1px #000 solid;">
      							                    <font face="Arial" size="2" style="font-size: 10px;" color="#000000">
      							                      <b>Payment Terms</b>
      							                    </font>
      								                </td>
      								              </tr>
      							              </table>
      							            </td>
      							            <td align="left" valign="top">
      							              <table border="1" cellspacing="0px" cellpadding="10px" width="100%" style="border-collapse: collapse;">
      							                <tr>
      							                  <td align="left" valign="top" bgcolor="#ffffff">
      							                    <font face="Arial" size="2" style="font-size: 10px;" color="#000000">
      							                      30 days
      							                    </font>
      							                  </td>
      							                </tr>
      				                    </table>
      											    </td>
      		                    </tr>
    		                    <% end %>
    		                  </table>
    				            </td>
    				          </tr>
                    </table>
		              </td>
		            </tr>
                <% if @invoice.valuation_firm_id == 134 %>
                  <tr>
                    <td colspan="2" align="center">
                      <font face="Arial" size="2" style="font-size: 10px;" color="#000000">
                        <h2>Fees Paid In Advance</h2>
                      </font>
                    </td>
                  </tr>
                <% end %>
				        <tr>
				          <td colspan="2" align="left" valign="top">
                    <% if @invoice.multiple_pages %>
                      <%= render :partial => 'invoicing/invoice_mailer/details_1_of_2' %>
                    <% else %>
                      <%= render :partial => 'invoicing/invoice_mailer/details', :locals => {:invoice => @invoice, page_option: "1"} %>
                    <% end %>
						      </td>
						    </tr>
						  </table>
			      </td>
			    </tr>
			    <tr>
		        <td width="600px">
			        <table width="600px" border="0" cellspacing="0px" cellpadding="0px">
				        <tr>
				          <td width="300px" align="left">
					          <font face="Arial" size="1" style="font-size: 9px;" color="#000000" style="line-height:130%">
					            Company Registration Number: 3269195 (IE)
					          </font>
				          </td>
				          <td width="300px" align="left">
          					<font face="Arial" size="1" style="font-size: 9px;" color="#000000" style="line-height:130%">
          					  Company VAT Reg. No.: GB 679 837 851 (IE)
          					</font>
        					</td>
        				</tr>
        				<tr>
        				  <td width="600px" colspan="2" style="line-height:80%">
          					<font face="Arial" size="1" style="font-size: 9px;" color="#000000">
          					  Office Address: Pickford's Wharf, Clink Street, London, SE1 9DG<br />
          					  Contact Details: t 0207 928 7888
          					</font>
								  </td>
								</tr>
                <tr>
                  <td width="600px" colspan="2" style="line-height:50%;text-align: justify;">
                    <font face="Arial" size="1" style="font-size: 9px;" color="#000000">
                      This invoice / application for payment constitutes a notice complying with section 110A(3) or section 110B(4) of the Housing Grants, Construction and Regeneration Act 1996 as ammended by the Local Democracy, Economic Development and Construction Act 2009 where such Acts apply to the appointment.
                    </font>
                  </td>
                </tr>
			        </table>
			      </td>
          </tr>
        </table>
     </td>
    </tr>
  </table>

  <% if @invoice.multiple_pages %>
    <table width="100%" cellspacing="0" cellpadding="0" border="0" style="margin:50px 0 50px 0;page-break-after: always;">
      <tr>
        <td align="center">
          <table width="600px" cellspacing="0" cellpadding="0" border="0"  bgcolor="#ffffff">
            <tr>
              <td align="left" valign="top">

                <table width="600px" cellspacing="0" cellpadding="0" border="0" >
                  <tr>
                    <td colspan="2" align="left" valign="top">
                      <%= render partial: 'invoicing/invoice_mailer/details', locals: { invoice: @invoice, page_option: "2of2" } %>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
            <tr>
              <td width="600px">
              </td>
            </tr>
          </table>
       </td>
      </tr>
    </table>
  <% end %>

</body>
